<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classsunsensor_1_1_photodiode.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">sunsensor.Photodiode Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#ab091d0938910c713729689bd5be1d116">__init__</a>(self, str name, np.ndarray position, np.ndarray orientation, str database, int mode, outputs, float accuracy, float precision, int fov, float max_current, float sampling_rate, bool digital=False, bool active=True)</td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#a5fffbe1f2839ae58d8cbcc5449a4dbf6">accuracy</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#aa4b51369b96ed8c871200251ff56d09d">active</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#a0f5cfaf398d8ddf1a7e1840ce38b4e91">column_names</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#a751ff21127a1a487c4c3d6fbacc2fc86">database</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#ad2ed3bf47145c35a4d61eaf6365a5186">digital</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#ae6b3e9fdde1a533c66176a1551294164">fov</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#a7e5ea3a58df8d426ff09a47b192fe545">get_parameters</a>(self)</td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#a166b35cc7e5c82ee5fda25739adf0f13">get_photo_current_noise</a>(self, current_ideal)</td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#ac7ef0c4b37ae39bb80a9d3db2d5cdea5">max_current</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#aef5bd48ec99b007fed3a3e1429f707a8">mode</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#a51a34beb1509be5de7e65e88e48b7a43">output</a>(self, float sim_time)</td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#ac9b5bfb98ec76a905bed629e9103ceb4">precision</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#ad4190e895de5dcdcbc2625b9a7f9d564">run</a>(self)</td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#a82ff94922f471f81e4047c610064749f">sampling_rate</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#afaebfa2abba6b431c1ebebd58587fefb">set_fov</a>(self, int fov)</td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#a77935bac0ff334578285343eb1c37959">set_max_current</a>(self)</td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html#abce5cee2b2c5dc7e555d33b60166d307">set_sampling_rate</a>(self, float sampling_rate)</td><td class="entry"><a class="el" href="classsunsensor_1_1_photodiode.html">sunsensor.Photodiode</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
